Bug 1659293 - glibc: Fix rwlock/rdlock hang.
Summary: glibc: Fix rwlock/rdlock hang.
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2019-04-24
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Carlos O'Donell
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 1682593
Blocks: 1684553 1701002
TreeView+ depends on / blocked
 
Reported: 2018-12-14 02:27 UTC by Carlos O'Donell
Modified: 2019-11-05 21:28 UTC (History)
9 users (show)

Fixed In Version: glibc-2.28-50.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:28:31 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1654872 None None None 2019-08-28 14:11:24 UTC
Red Hat Product Errata RHSA-2019:3513 None None None 2019-11-05 21:28:55 UTC
Sourceware 23844 None None None 2019-07-03 11:57:00 UTC

Internal Links: 1654872

Description Carlos O'Donell 2018-12-14 02:27:28 UTC
The new rwlock implementation upstream has seen a series of fixes upstream that need to get corrected before rhel-8.0 GA.

This bug is about the following fix:

Bug 23844 - pthread_rwlock_trywrlock results in hang
https://sourceware.org/bugzilla/show_bug.cgi?id=23844
- Currently under RCA.

This fix should be included in rhel-8.0.0 branch when available.

See also:
"glibc: Fix new rdlock stall."
https://bugzilla.redhat.com/show_bug.cgi?id=1654872

Comment 1 Carlos O'Donell 2018-12-14 02:30:54 UTC
We are targeting this fix for HTB SNAP4. Setting exception? and going to get exception+.

Comment 2 Carlos O'Donell 2018-12-14 03:06:28 UTC
This bug affects the following threading APIs:

* pthread_rwlock_trywrlock
* pthread_rwlock_tryrdlock

These APIs are used by a lot of applications, but it is only a specific use of them that can trigger a hang.

This flaw is close to being a blocker+, but isn't quite, and so I am seeing exception+ for this bug to commit a fix in SNAP4.

Comment 14 errata-xmlrpc 2019-11-05 21:28:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3513


Note You need to log in before you can comment on or make changes to this bug.